#!/bin/bash

PATH=$PATH:$(pwd) # for '*.sh'
PATH=$PATH:$(pwd)/.. # for possible '..\DominCompiler'

if [ -z $1 ]
then
    echo "No *.sh name for processing"
    exit
fi


find . -mindepth 1 -type d | while read -r dir
do
  pushd "$dir" > /dev/null
  echo "*** Processing $dir ***"
  $1
  popd > /dev/null
done
